## WebKitDOMHTMLOptionElement

WebKitDOMHTMLOptionElement

## Functions

gboolean | webkit_dom_html_option_element_get_disabled ()
void | webkit_dom_html_option_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_option_element_get_form ()
gchar * | webkit_dom_html_option_element_get_label ()
void | webkit_dom_html_option_element_set_label ()
gboolean | webkit_dom_html_option_element_get_default_selected ()
void | webkit_dom_html_option_element_set_default_selected ()
gboolean | webkit_dom_html_option_element_get_selected ()
void | webkit_dom_html_option_element_set_selected ()
gchar * | webkit_dom_html_option_element_get_value ()
void | webkit_dom_html_option_element_set_value ()
gchar * | webkit_dom_html_option_element_get_text ()
glong | webkit_dom_html_option_element_get_index ()

## Properties

gboolean | default-selected | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
glong | index | Read
gchar * | label | Read / Write
gboolean | selected | Read / Write
gchar * | text | Read
gchar * | value | Read / Write

## Types and Values

| WebKitDOMHTMLOptionElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLOptionElement

## Implemented Interfaces

WebKitDOMHTMLOptionElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_option_element_get_disabled ()

    gboolean
    webkit_dom_html_option_element_get_disabled
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gboolean

### webkit_dom_html_option_element_set_disabled ()

    void
    webkit_dom_html_option_element_set_disabled
                                   (WebKitDOMHTMLOptionElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLOptionElement |
value | A gboolean |

### webkit_dom_html_option_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_option_element_get_form
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_option_element_get_label ()

    gchar *
    webkit_dom_html_option_element_get_label
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gchar

### webkit_dom_html_option_element_set_label ()

    void
    webkit_dom_html_option_element_set_label
                                   (WebKitDOMHTMLOptionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLOptionElement |
value | A gchar |

### webkit_dom_html_option_element_get_default_selected ()

    gboolean
    webkit_dom_html_option_element_get_default_selected
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gboolean

### webkit_dom_html_option_element_set_default_selected ()

    void
    webkit_dom_html_option_element_set_default_selected
                                   (WebKitDOMHTMLOptionElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLOptionElement |
value | A gboolean |

### webkit_dom_html_option_element_get_selected ()

    gboolean
    webkit_dom_html_option_element_get_selected
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gboolean

### webkit_dom_html_option_element_set_selected ()

    void
    webkit_dom_html_option_element_set_selected
                                   (WebKitDOMHTMLOptionElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLOptionElement |
value | A gboolean |

### webkit_dom_html_option_element_get_value ()

    gchar *
    webkit_dom_html_option_element_get_value
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gchar

### webkit_dom_html_option_element_set_value ()

    void
    webkit_dom_html_option_element_set_value
                                   (WebKitDOMHTMLOptionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLOptionElement |
value | A gchar |

### webkit_dom_html_option_element_get_text ()

    gchar *
    webkit_dom_html_option_element_get_text
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A gchar

### webkit_dom_html_option_element_get_index ()

    glong
    webkit_dom_html_option_element_get_index
                                   (WebKitDOMHTMLOptionElement *self);

#### Parameters

self | A WebKitDOMHTMLOptionElement |

#### Returns

A glong

## Types and Values

### WebKitDOMHTMLOptionElement

    typedef struct _WebKitDOMHTMLOptionElement WebKitDOMHTMLOptionElement;

## Property Details

### The `“default-selected”` property

      “default-selected”         gboolean

read-write gboolean HTMLOptionElement:default-selected.

Flags: Read / Write

Default value: FALSE

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLOptionElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLOptionElement:form.

Flags: Read

### The `“index”` property

      “index”                    glong

read-only glong HTMLOptionElement:index.

Flags: Read

Default value: 0

### The `“label”` property

      “label”                    gchar *

read-write gchar* HTMLOptionElement:label.

Flags: Read / Write

Default value: ""

### The `“selected”` property

      “selected”                 gboolean

read-write gboolean HTMLOptionElement:selected.

Flags: Read / Write

Default value: FALSE

### The `“text”` property

      “text”                     gchar *

read-only gchar* HTMLOptionElement:text.

Flags: Read

Default value: ""

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLOptionElement:value.

Flags: Read / Write

Default value: ""